"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const https_1 = require("https");
const axios_1 = require("axios");
const log_1 = require("../logger/log");
const logger = log_1.default('axiosReq');
logger.info("start info");
const configForGoogle = {
    method: 'get',
    url: 'https://www.google.com',
    proxy: {
        host: 'zion.checkpoint.com',
        port: 8080,
        auth: {
            username: '****',
            password: '****'
        }
    },
    httpsAgent: new https_1.Agent({
        rejectUnauthorized: false
    })
};
const configForCheckpoint = {
    method: 'post',
    url: 'https://172.23.78.75:443/web_api/login',
    // proxy: {// since it's localhost we don't want proxy (just like the system proxy is working)
    //     host: 'zion.checkpoint.com',
    //     port: 8080,
    //     auth: {
    //         username: '****',
    //         password: '****'
    //     }
    // },
    headers: { 'Content-Type': 'application/json' },
    data: {
        user: 'aa',
        password: 'aaaa'
    },
    httpsAgent: new https_1.Agent({
        rejectUnauthorized: false
    })
};
let axiosPromise = axios_1.default(configForCheckpoint)
    .then(response => {
    // handle success
    logger.info("then");
    logger.info(response.status.toString());
    logger.info(JSON.stringify(response.data, null, 2)); // comment when run against google config
    // logger.info(response.data.toString());// uncomment when run against google config
    return response.data;
    // throw Error;
})
    .catch((error) => {
    // handle error
    logger.error("catch");
    logger.error(error);
    throw error;
});
logger.info("after promise");
//# sourceMappingURL=axiosRequests.js.map